{"openapi":"3.0.3","info":{"title":"Плюс — Публичный API","description":"Публичный API Плюс для ботов, виджетов и партнёрских интеграций.\n\n## Быстрый старт\n\n1. Создайте API-клиент в личном кабинете.\n2. Сохраните выданный ключ — повторно секрет не показывается.\n3. Передавайте его в заголовке `X-API-Key: keyId.keySecret`.\n\n```bash\ncurl https://api.плюс.space/api/public/v1/profile \\\n  -H 'X-API-Key: keyId.keySecret'\n```\n\nДля изменяющих запросов дополнительно передавайте уникальный `Idempotency-Key`. Идентификатор запроса возвращается в `X-Request-ID` и помогает диагностировать ошибки.","version":"1.0.0","x-logo":{"url":"https://плюс.space/logo-rabbit.png","altText":"Плюс"}},"paths":{"/api/public/v1":{"get":{"tags":["Обзор"],"summary":"Public Api Root","operationId":"public_api_root_api_public_v1_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Public Api Root Api Public V1 Get"}}}}},"security":[]}},"/api/public/v1/videos":{"get":{"tags":["Профили и видео"],"summary":"List Public Videos","operationId":"list_public_videos_api_public_v1_videos_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":20,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicApiVideoRead"},"title":"Response List Public Videos Api Public V1 Videos Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/profile":{"get":{"tags":["Профили и видео"],"summary":"Get Public Profile","operationId":"get_public_profile_api_public_v1_profile_get","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiProfileRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/users/{user_id}":{"get":{"tags":["Профили и видео"],"summary":"Get Public User","operationId":"get_public_user_api_public_v1_users__user_id__get","parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"User Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiUserRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/posts":{"get":{"tags":["Публикации"],"summary":"List Public Posts","operationId":"list_public_posts_api_public_v1_posts_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":20,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"author_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Author Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicApiPostRead"},"title":"Response List Public Posts Api Public V1 Posts Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]},"post":{"tags":["Публикации"],"summary":"Create Public Post","operationId":"create_public_post_api_public_v1_posts_post","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPostCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPostCreateResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/posts/{post_id}":{"get":{"tags":["Публикации"],"summary":"Get Public Post","operationId":"get_public_post_api_public_v1_posts__post_id__get","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPostRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]},"patch":{"tags":["Публикации"],"summary":"Update Public Post","operationId":"update_public_post_api_public_v1_posts__post_id__patch","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPostUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPostRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]},"delete":{"tags":["Публикации"],"summary":"Delete Public Post","operationId":"delete_public_post_api_public_v1_posts__post_id__delete","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/posts/{post_id}/comments":{"get":{"tags":["Публикации"],"summary":"List Public Post Comments","operationId":"list_public_post_comments_api_public_v1_posts__post_id__comments_get","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":50,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicApiPostCommentRead"},"title":"Response List Public Post Comments Api Public V1 Posts  Post Id  Comments Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]},"post":{"tags":["Публикации"],"summary":"Create Public Post Comment","operationId":"create_public_post_comment_api_public_v1_posts__post_id__comments_post","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPostCommentCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPostCommentRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/live-streams/{stream_id}/chat":{"post":{"tags":["Трансляции"],"summary":"Post Public Live Chat Message","operationId":"post_public_live_chat_message_api_public_v1_live_streams__stream_id__chat_post","parameters":[{"name":"stream_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Stream Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiLiveChatCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiLiveChatMessageResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]},"get":{"tags":["Трансляции"],"summary":"List Public Live Stream Chat","operationId":"list_public_live_stream_chat_api_public_v1_live_streams__stream_id__chat_get","parameters":[{"name":"stream_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Stream Id"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":50,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"since_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Since Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicApiLiveStreamChatMessageRead"},"title":"Response List Public Live Stream Chat Api Public V1 Live Streams  Stream Id  Chat Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/live-streams/{stream_id}/bots/command":{"post":{"tags":["Трансляции"],"summary":"Execute Public Streambot Command","operationId":"execute_public_streambot_command_api_public_v1_live_streams__stream_id__bots_command_post","parameters":[{"name":"stream_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Stream Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiBotCommandCreate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiBotCommandResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/live-streams":{"get":{"tags":["Трансляции"],"summary":"List Public Live Streams","operationId":"list_public_live_streams_api_public_v1_live_streams_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":20,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicApiLiveStreamRead"},"title":"Response List Public Live Streams Api Public V1 Live Streams Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/live-streams/{stream_id}":{"get":{"tags":["Трансляции"],"summary":"Get Public Live Stream","operationId":"get_public_live_stream_api_public_v1_live_streams__stream_id__get","parameters":[{"name":"stream_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Stream Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiLiveStreamRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/playlists":{"get":{"tags":["Плейлисты"],"summary":"List Public Playlists","description":"Плейлисты бота (owner = bot_user_id).","operationId":"list_public_playlists_api_public_v1_playlists_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":50,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicApiPlaylistRead"},"title":"Response List Public Playlists Api Public V1 Playlists Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]},"post":{"tags":["Плейлисты"],"summary":"Create Public Playlist","operationId":"create_public_playlist_api_public_v1_playlists_post","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPlaylistCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPlaylistRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/playlists/user/{user_id}":{"get":{"tags":["Плейлисты"],"summary":"List Public Playlists By User","description":"Публичные плейлисты пользователя.","operationId":"list_public_playlists_by_user_api_public_v1_playlists_user__user_id__get","parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"User Id"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":50,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicApiPlaylistRead"},"title":"Response List Public Playlists By User Api Public V1 Playlists User  User Id  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/playlists/{playlist_id}":{"get":{"tags":["Плейлисты"],"summary":"Get Public Playlist","operationId":"get_public_playlist_api_public_v1_playlists__playlist_id__get","parameters":[{"name":"playlist_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Playlist Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPlaylistRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/playlists/{playlist_id}/items":{"post":{"tags":["Плейлисты"],"summary":"Add Public Playlist Item","operationId":"add_public_playlist_item_api_public_v1_playlists__playlist_id__items_post","parameters":[{"name":"playlist_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Playlist Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPlaylistItemCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPlaylistItemRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/conversations":{"get":{"tags":["Bot API"],"summary":"List Messenger Conversations","operationId":"list_messenger_conversations_api_public_v1_messenger_conversations_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":50,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicApiConversationRead"},"title":"Response List Messenger Conversations Api Public V1 Messenger Conversations Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/conversations/{conversation_id}/messages":{"get":{"tags":["Bot API"],"summary":"List Messenger Messages","operationId":"list_messenger_messages_api_public_v1_messenger_conversations__conversation_id__messages_get","parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Conversation Id"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":50,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"since_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Since Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicApiMessageRead"},"title":"Response List Messenger Messages Api Public V1 Messenger Conversations  Conversation Id  Messages Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/messages":{"post":{"tags":["Bot API"],"summary":"Send Messenger Message","operationId":"send_messenger_message_api_public_v1_messenger_messages_post","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMessageCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMessageCreateResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/messages/photo":{"post":{"tags":["Bot API"],"summary":"Send Messenger Photo","operationId":"send_messenger_photo_api_public_v1_messenger_messages_photo_post","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMediaMessageCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMessageCreateResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/messages/video":{"post":{"tags":["Bot API"],"summary":"Send Messenger Video","operationId":"send_messenger_video_api_public_v1_messenger_messages_video_post","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMediaMessageCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMessageCreateResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/messages/voice":{"post":{"tags":["Bot API"],"summary":"Send Messenger Voice","operationId":"send_messenger_voice_api_public_v1_messenger_messages_voice_post","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMediaMessageCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMessageCreateResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/messages/{message_id}/text":{"patch":{"tags":["Bot API"],"summary":"Update Messenger Message Text","operationId":"update_messenger_message_text_api_public_v1_messenger_messages__message_id__text_patch","parameters":[{"name":"message_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Message Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMessageTextUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMessageRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/messages/{message_id}":{"delete":{"tags":["Bot API"],"summary":"Delete Messenger Message","operationId":"delete_messenger_message_api_public_v1_messenger_messages__message_id__delete","parameters":[{"name":"message_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Message Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/messages/{message_id}/reply-markup":{"patch":{"tags":["Bot API"],"summary":"Update Messenger Message Reply Markup","operationId":"update_messenger_message_reply_markup_api_public_v1_messenger_messages__message_id__reply_markup_patch","parameters":[{"name":"message_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Message Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMessageReplyMarkupUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMessageRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/callback-queries":{"get":{"tags":["Bot API"],"summary":"Get Messenger Callback Queries","operationId":"get_messenger_callback_queries_api_public_v1_messenger_callback_queries_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":50,"title":"Limit"}},{"name":"since_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Since Id"}},{"name":"unanswered_only","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Unanswered Only"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiCallbackQueriesResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/callback-queries/{query_id}/answer":{"post":{"tags":["Bot API"],"summary":"Answer Messenger Callback Query","operationId":"answer_messenger_callback_query_api_public_v1_messenger_callback_queries__query_id__answer_post","parameters":[{"name":"query_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Query Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiCallbackQueryAnswer"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiCallbackQueryRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/updates":{"get":{"tags":["Bot API"],"summary":"Get Messenger Updates","operationId":"get_messenger_updates_api_public_v1_messenger_updates_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":50,"title":"Limit"}},{"name":"since_message_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Since Message Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiUpdatesResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/messages/read":{"post":{"tags":["Bot API"],"summary":"Mark Messenger Messages Read","operationId":"mark_messenger_messages_read_api_public_v1_messenger_messages_read_post","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiMessagesReadMark"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/commands":{"get":{"tags":["Bot API"],"summary":"Get Messenger Commands","operationId":"get_messenger_commands_api_public_v1_messenger_commands_get","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiBotCommandsRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]},"put":{"tags":["Bot API"],"summary":"Set Messenger Commands","operationId":"set_messenger_commands_api_public_v1_messenger_commands_put","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiBotCommandsSet"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiBotCommandsRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/webhook":{"get":{"tags":["Bot API"],"summary":"Get Messenger Webhook","operationId":"get_messenger_webhook_api_public_v1_messenger_webhook_get","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiWebhookRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]},"put":{"tags":["Bot API"],"summary":"Set Messenger Webhook","operationId":"set_messenger_webhook_api_public_v1_messenger_webhook_put","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiWebhookConfig"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiWebhookRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]},"delete":{"tags":["Bot API"],"summary":"Delete Messenger Webhook","operationId":"delete_messenger_webhook_api_public_v1_messenger_webhook_delete","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/messenger/deep-link":{"get":{"tags":["Bot API"],"summary":"Get Messenger Deep Link","operationId":"get_messenger_deep_link_api_public_v1_messenger_deep_link_get","parameters":[{"name":"start_parameter","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Parameter"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiDeepLinkRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"PublicApiKey":[]}]}},"/api/public/v1/management/bots/check-schema":{"get":{"tags":["Bot API"],"summary":"Check Bots Schema","description":"Проверяет, применена ли миграция для ботов (есть ли колонки is_bot, bot_id).","operationId":"check_bots_schema_api_public_v1_management_bots_check_schema_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Check Bots Schema Api Public V1 Management Bots Check Schema Get"}}}}},"security":[{"OAuth2PasswordBearer":[]}]}},"/api/public/v1/management/bots":{"get":{"tags":["Bot API"],"summary":"List My Bots","operationId":"list_my_bots_api_public_v1_management_bots_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/BotRead"},"type":"array","title":"Response List My Bots Api Public V1 Management Bots Get"}}}}},"security":[{"OAuth2PasswordBearer":[]}]},"post":{"tags":["Bot API"],"summary":"Create Bot","operationId":"create_bot_api_public_v1_management_bots_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotCreate"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotCreateResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"OAuth2PasswordBearer":[]}]}},"/api/public/v1/management/bots/{bot_user_id}/token":{"get":{"tags":["Bot API"],"summary":"Get My Bot Token","operationId":"get_my_bot_token_api_public_v1_management_bots__bot_user_id__token_get","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"bot_user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Bot User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotTokenRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/public/v1/management/bots/{bot_user_id}":{"patch":{"tags":["Bot API"],"summary":"Update Bot","operationId":"update_bot_api_public_v1_management_bots__bot_user_id__patch","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"bot_user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Bot User Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotRead"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Bot API"],"summary":"Delete Bot","operationId":"delete_bot_api_public_v1_management_bots__bot_user_id__delete","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"bot_user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Bot User Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/public/v1/management/clients":{"get":{"tags":["Управление"],"summary":"List My Public Api Clients","operationId":"list_my_public_api_clients_api_public_v1_management_clients_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/PublicApiClientRead"},"type":"array","title":"Response List My Public Api Clients Api Public V1 Management Clients Get"}}}}},"security":[{"OAuth2PasswordBearer":[]}]},"post":{"tags":["Управление"],"summary":"Create Public Api Client","operationId":"create_public_api_client_api_public_v1_management_clients_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiClientCreate"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiClientCreateResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"OAuth2PasswordBearer":[]}]}},"/api/public/v1/management/clients/{client_id}/rotate-key":{"post":{"tags":["Управление"],"summary":"Rotate Public Api Key","operationId":"rotate_public_api_key_api_public_v1_management_clients__client_id__rotate_key_post","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"client_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Client Id"}}],"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiKeyRotateResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/public/v1/management/clients/{client_id}/keys/{key_id}/revoke":{"post":{"tags":["Управление"],"summary":"Revoke Public Api Key","operationId":"revoke_public_api_key_api_public_v1_management_clients__client_id__keys__key_id__revoke_post","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"client_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Client Id"}},{"name":"key_id","in":"path","required":true,"schema":{"type":"string","title":"Key Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"AccessTokenResponse":{"properties":{"access_token":{"type":"string","title":"Access Token"},"token_type":{"type":"string","title":"Token Type","default":"bearer"},"refresh_token":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Refresh Token"}},"type":"object","required":["access_token"],"title":"AccessTokenResponse","description":"Ответ с access token без refresh token."},"AccountSwitcherAccountRead":{"properties":{"user_id":{"type":"string","format":"uuid","title":"User Id"},"email":{"type":"string","title":"Email"},"username":{"type":"string","title":"Username"},"nickname":{"type":"string","title":"Nickname"},"avatar_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Avatar Path"},"role":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Role"},"is_verified":{"type":"boolean","title":"Is Verified","default":false},"is_impersonator":{"type":"boolean","title":"Is Impersonator","default":false},"badges":{"items":{"type":"string"},"type":"array","title":"Badges","default":[]},"primary_badge":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Primary Badge"},"is_current":{"type":"boolean","title":"Is Current","default":false}},"type":"object","required":["user_id","email","username","nickname"],"title":"AccountSwitcherAccountRead"},"AccountSwitcherAccountsResponse":{"properties":{"accounts":{"items":{"$ref":"#/components/schemas/AccountSwitcherAccountRead"},"type":"array","title":"Accounts"}},"type":"object","required":["accounts"],"title":"AccountSwitcherAccountsResponse"},"ActivityFeedPage":{"properties":{"items":{"items":{"$ref":"#/components/schemas/ActivityItem"},"type":"array","title":"Items"},"has_more":{"type":"boolean","title":"Has More"}},"type":"object","required":["items","has_more"],"title":"ActivityFeedPage","description":"Страница ленты активности (регистрации, видео, комментарии), с пагинацией."},"ActivityItem":{"properties":{"type":{"type":"string","title":"Type"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"user_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"User Id"},"user_nickname":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"User Nickname"},"user_email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"User Email"},"entity_id":{"type":"string","format":"uuid","title":"Entity Id"},"entity_title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Entity Title"},"details":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Details"}},"type":"object","required":["type","created_at","entity_id"],"title":"ActivityItem","description":"Модель/компонент `ActivityItem` и связанная бизнес-логика."},"AdminCreateUserRequest":{"properties":{"nickname":{"type":"string","maxLength":50,"minLength":3,"title":"Nickname","description":"Никнейм канала"},"username":{"anyOf":[{"type":"string","maxLength":50,"minLength":3},{"type":"null"}],"title":"Username","description":"Уникальный username"},"email":{"anyOf":[{"type":"string","format":"email"},{"type":"null"}],"title":"Email","description":"Email (если не указан, будет сгенерирован)"},"role":{"$ref":"#/components/schemas/UserRole","description":"Роль пользователя","default":"videomaker"},"is_verified":{"type":"boolean","title":"Is Verified","description":"Верифицировать автора","default":true}},"type":"object","required":["nickname"],"title":"AdminCreateUserRequest","description":"Модель/компонент `AdminCreateUserRequest` и связанная бизнес-логика."},"AdminSendTestNotificationRequest":{"properties":{"user_ids":{"items":{"type":"string","format":"uuid"},"type":"array","maxItems":50,"minItems":1,"title":"User Ids","description":"ID пользователей"},"message":{"type":"string","maxLength":500,"minLength":1,"title":"Message","description":"Текст уведомления"},"link":{"anyOf":[{"type":"string","maxLength":1024},{"type":"null"}],"title":"Link","description":"Ссылка (опционально)"}},"type":"object","required":["user_ids","message"],"title":"AdminSendTestNotificationRequest","description":"Тестовое push-уведомление выбранным пользователям."},"AdminStickerPackStatusBody":{"properties":{"status":{"type":"string","pattern":"^(hidden|published)$","title":"Status"}},"type":"object","required":["status"],"title":"AdminStickerPackStatusBody"},"ArtistAlbumStub":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"title":{"type":"string","title":"Title"},"artist":{"type":"string","title":"Artist"},"track_count":{"type":"integer","title":"Track Count"},"cover_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cover Url"}},"type":"object","required":["id","title","artist","track_count"],"title":"ArtistAlbumStub"},"ArtistCatalogRead":{"properties":{"display_name":{"type":"string","title":"Display Name"},"artist_cover_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Artist Cover Url"},"is_foreign_agent":{"type":"boolean","title":"Is Foreign Agent","default":false},"albums":{"items":{"$ref":"#/components/schemas/ArtistAlbumStub"},"type":"array","title":"Albums"},"tracks":{"items":{"$ref":"#/components/schemas/TrackRead"},"type":"array","title":"Tracks"}},"type":"object","required":["display_name","albums","tracks"],"title":"ArtistCatalogRead"},"ArtistSearchRead":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"name":{"type":"string","title":"Name"},"genre":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Genre"},"track_count":{"type":"integer","title":"Track Count"},"cover_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cover Url"}},"type":"object","required":["id","name","track_count"],"title":"ArtistSearchRead"},"AuddApiKeyCreateBody":{"properties":{"label":{"type":"string","maxLength":128,"title":"Label","default":""},"api_token":{"type":"string","maxLength":512,"minLength":8,"title":"Api Token"},"priority":{"type":"integer","maximum":1000000.0,"minimum":0.0,"title":"Priority","default":0}},"type":"object","required":["api_token"],"title":"AuddApiKeyCreateBody"},"AuddApiKeyPatchBody":{"properties":{"label":{"anyOf":[{"type":"string","maxLength":128},{"type":"null"}],"title":"Label"},"priority":{"anyOf":[{"type":"integer","maximum":1000000.0,"minimum":0.0},{"type":"null"}],"title":"Priority"},"is_enabled":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Enabled"}},"type":"object","title":"AuddApiKeyPatchBody"},"AuddApiKeyRead":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"label":{"type":"string","title":"Label"},"priority":{"type":"integer","title":"Priority"},"is_enabled":{"type":"boolean","title":"Is Enabled"},"token_mask":{"type":"string","title":"Token Mask"},"consecutive_failures":{"type":"integer","title":"Consecutive Failures"},"last_success_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Success At"},"last_error_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Error At"},"last_error_detail":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Error Detail"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","label","priority","is_enabled","token_mask","consecutive_failures","last_success_at","last_error_at","last_error_detail","created_at"],"title":"AuddApiKeyRead"},"AuthProvidersAvailabilityResponse":{"properties":{"google":{"type":"boolean","title":"Google"},"yandex":{"type":"boolean","title":"Yandex"}},"type":"object","required":["google","yandex"],"title":"AuthProvidersAvailabilityResponse"},"Body_login_api_auth_login_post":{"properties":{"grant_type":{"anyOf":[{"type":"string","pattern":"password"},{"type":"null"}],"title":"Grant Type"},"username":{"type":"string","title":"Username"},"password":{"type":"string","title":"Password"},"scope":{"type":"string","title":"Scope","default":""},"client_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Client Id"},"client_secret":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Client Secret"}},"type":"object","required":["username","password"],"title":"Body_login_api_auth_login_post"},"Body_recognize_track_metadata_api_tracks_recognize_metadata_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_recognize_track_metadata_api_tracks_recognize_metadata_post"},"Body_upload_comment_image_api_comments_upload_image_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_comment_image_api_comments_upload_image_post"},"Body_upload_conversation_avatar_api_messenger_conversations__conversation_id__avatar_upload_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_conversation_avatar_api_messenger_conversations__conversation_id__avatar_upload_post"},"Body_upload_image_message_api_messenger_upload_image_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_image_message_api_messenger_upload_image_post"},"Body_upload_messenger_file_api_messenger_upload_file_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_messenger_file_api_messenger_upload_file_post"},"Body_upload_mobile_diagnostics_bundle_api_support_chat_mobile_diagnostics_upload_post":{"properties":{"metadata_json":{"type":"string","title":"Metadata Json"},"bundle":{"type":"string","format":"binary","title":"Bundle"}},"type":"object","required":["metadata_json","bundle"],"title":"Body_upload_mobile_diagnostics_bundle_api_support_chat_mobile_diagnostics_upload_post"},"Body_upload_music_album_cover_api_tracks_albums__album_id__cover_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_music_album_cover_api_tracks_albums__album_id__cover_post"},"Body_upload_page_cover_api_pages_cover_upload_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_page_cover_api_pages_cover_upload_post"},"Body_upload_page_image_api_pages_image_upload_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_page_image_api_pages_image_upload_post"},"Body_upload_playlist_cover_api_playlists_upload_cover_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_playlist_cover_api_playlists_upload_cover_post"},"Body_upload_post_comment_image_api_posts_comments_upload_image_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_post_comment_image_api_posts_comments_upload_image_post"},"Body_upload_post_file_api_posts_upload_file_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_post_file_api_posts_upload_file_post"},"Body_upload_post_image_api_posts_upload_image_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_post_image_api_posts_upload_image_post"},"Body_upload_sticker_asset_api_messenger_sticker_packs__pack_id__assets_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_sticker_asset_api_messenger_sticker_packs__pack_id__assets_post"},"Body_upload_track_cover_api_tracks__track_id__cover_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_track_cover_api_tracks__track_id__cover_post"},"Body_upload_video_circle_api_messenger_upload_video_circle_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_video_circle_api_messenger_upload_video_circle_post"},"Body_upload_video_message_api_messenger_upload_video_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_video_message_api_messenger_upload_video_post"},"Body_upload_voice_message_api_messenger_upload_voice_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_upload_voice_message_api_messenger_upload_voice_post"},"BotCommandSuggestionPublic":{"properties":{"bot_id":{"type":"string","format":"uuid","title":"Bot Id"},"bot_username":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Bot Username"},"bot_nickname":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Bot Nickname"},"command":{"type":"string","title":"Command"},"description":{"type":"string","title":"Description","default":""}},"type":"object","required":["bot_id","command"],"title":"BotCommandSuggestionPublic"},"BotCreate":{"properties":{"username":{"type":"string","maxLength":50,"minLength":4,"title":"Username"},"nickname":{"type":"string","maxLength":50,"minLength":1,"title":"Nickname"},"description":{"type":"string","maxLength":180,"title":"Description","default":""}},"additionalProperties":false,"type":"object","required":["username","nickname"],"title":"BotCreate","description":"Создание бота: юзернейм только с окончанием bot или _bot."},"BotCreateResult":{"properties":{"bot_id":{"type":"string","format":"uuid","title":"Bot Id"},"username":{"type":"string","title":"Username"},"nickname":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nickname"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"client_id":{"type":"string","format":"uuid","title":"Client Id"},"key_id":{"type":"string","title":"Key Id"},"api_key":{"type":"string","title":"Api Key"}},"type":"object","required":["bot_id","username","nickname","client_id","key_id","api_key"],"title":"BotCreateResult"},"BotRead":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"username":{"type":"string","title":"Username"},"nickname":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nickname"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"avatar_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Avatar Path"},"client_id":{"type":"string","format":"uuid","title":"Client Id"},"name":{"type":"string","title":"Name"},"status":{"type":"string","title":"Status"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","username","nickname","client_id","name","status","created_at"],"title":"BotRead"},"BotTokenRead":{"properties":{"bot_id":{"type":"string","format":"uuid","title":"Bot Id"},"key_id":{"type":"string","title":"Key Id"},"api_key":{"type":"string","title":"Api Key"}},"type":"object","required":["bot_id","key_id","api_key"],"title":"BotTokenRead"},"BotUpdate":{"properties":{"nickname":{"type":"string","maxLength":50,"minLength":1,"title":"Nickname"},"description":{"type":"string","maxLength":180,"title":"Description","default":""}},"additionalProperties":false,"type":"object","required":["nickname"],"title":"BotUpdate","description":"Переименование бота: отображаемое имя (nickname)."},"CalendarPreviewPublic":{"properties":{"url":{"type":"string","title":"Url"},"calendar_name":{"type":"string","title":"Calendar Name","default":""},"summary":{"type":"string","title":"Summary","default":""},"description":{"type":"string","title":"Description","default":""},"location":{"type":"string","title":"Location","default":""},"organizer":{"type":"string","title":"Organizer","default":""},"start_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start At"},"end_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"End At"},"all_day":{"type":"boolean","title":"All Day","default":false},"event_count":{"type":"integer","title":"Event Count","default":0}},"type":"object","required":["url"],"title":"CalendarPreviewPublic"},"CallInitiate":{"properties":{"call_type":{"$ref":"#/components/schemas/CallType","default":"audio"},"receiver_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Receiver Id"},"conversation_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Conversation Id"},"is_group":{"type":"boolean","title":"Is Group","default":false},"participant_ids":{"anyOf":[{"items":{"type":"string","format":"uuid"},"type":"array"},{"type":"null"}],"title":"Participant Ids"}},"type":"object","title":"CallInitiate","description":"Схема для инициирования звонка"},"CallPublic":{"properties":{"call_type":{"$ref":"#/components/schemas/CallType","default":"audio"},"id":{"type":"string","format":"uuid","title":"Id"},"caller_id":{"type":"string","format":"uuid","title":"Caller Id"},"receiver_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Receiver Id"},"conversation_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Conversation Id"},"is_group":{"type":"boolean","title":"Is Group","default":false},"status":{"$ref":"#/components/schemas/CallStatus"},"duration":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Duration"},"initiated_at":{"type":"string","format":"date-time","title":"Initiated At"},"answered_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Answered At"},"ended_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Ended At"}},"type":"object","required":["id","caller_id","status","initiated_at"],"title":"CallPublic","description":"Публичная схема звонка с полной информацией"},"CallRtcConfig":{"properties":{"call_id":{"type":"string","format":"uuid","title":"Call Id"},"media_mode":{"type":"string","title":"Media Mode"},"ice_servers":{"items":{"$ref":"#/components/schemas/IceServer"},"type":"array","title":"Ice Servers"},"expires_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Expires At"},"sfu_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sfu Url"},"sfu_room":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sfu Room"},"sfu_token":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sfu Token"}},"type":"object","required":["call_id","media_mode","ice_servers"],"title":"CallRtcConfig","description":"Модель/компонент `CallRtcConfig` и связанная бизнес-логика."},"CallStatus":{"type":"string","enum":["initiated","ringing","accepted","declined","missed","ended","failed"],"title":"CallStatus","description":"Статусы звонка"},"CallStatusUpdate":{"properties":{"status":{"$ref":"#/components/schemas/CallStatus"}},"type":"object","required":["status"],"title":"CallStatusUpdate","description":"Схема для обновления статуса звонка"},"CallType":{"type":"string","enum":["audio","video"],"title":"CallType","description":"Типы звонков"},"CallWithParticipants":{"properties":{"call_type":{"$ref":"#/components/schemas/CallType","default":"audio"},"id":{"type":"string","format":"uuid","title":"Id"},"caller_id":{"type":"string","format":"uuid","title":"Caller Id"},"receiver_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Receiver Id"},"conversation_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Conversation Id"},"is_group":{"type":"boolean","title":"Is Group","default":false},"status":{"$ref":"#/components/schemas/CallStatus"},"duration":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Duration"},"initiated_at":{"type":"string","format":"date-time","title":"Initiated At"},"answered_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Answered At"},"ended_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Ended At"},"caller_nickname":{"type":"string","title":"Caller Nickname"},"caller_avatar":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Caller Avatar"},"receiver_nickname":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Receiver Nickname"},"receiver_avatar":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Receiver Avatar"},"participant_ids":{"anyOf":[{"items":{"type":"string","format":"uuid"},"type":"array"},{"type":"null"}],"title":"Participant Ids"},"participant_nicknames":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Participant Nicknames"},"participant_avatars":{"anyOf":[{"items":{"anyOf":[{"type":"string"},{"type":"null"}]},"type":"array"},{"type":"null"}],"title":"Participant Avatars"}},"type":"object","required":["id","caller_id","status","initiated_at","caller_nickname"],"title":"CallWithParticipants","description":"Схема звонка с информацией об участниках"},"ChangeNicknameRequest":{"properties":{"new_nickname":{"type":"string","maxLength":50,"minLength":3,"title":"New Nickname"}},"type":"object","required":["new_nickname"],"title":"ChangeNicknameRequest","description":"Модель/компонент `ChangeNicknameRequest` и связанная бизнес-логика."},"ChangePasswordRequest":{"properties":{"current_password":{"type":"string","title":"Current Password"},"new_password":{"type":"string","minLength":6,"title":"New Password"}},"type":"object","required":["current_password","new_password"],"title":"ChangePasswordRequest","description":"Модель/компонент `ChangePasswordRequest` и связанная бизнес-логика."},"ChangeUsernameRequest":{"properties":{"new_username":{"type":"string","maxLength":50,"minLength":3,"title":"New Username"}},"type":"object","required":["new_username"],"title":"ChangeUsernameRequest","description":"Модель/компонент `ChangeUsernameRequest` и связанная бизнес-логика."},"CommentCreate":{"properties":{"body":{"type":"string","maxLength":2000,"minLength":1,"title":"Body"},"parent_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Parent Id"},"image_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Image Path"}},"type":"object","required":["body"],"title":"CommentCreate","description":"Модель/компонент `CommentCreate` и связанная бизнес-логика."},"CommentLikeStatus":{"properties":{"likes":{"type":"integer","title":"Likes"},"dislikes":{"type":"integer","title":"Dislikes"},"user_value":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"User Value"}},"type":"object","required":["likes","dislikes"],"title":"CommentLikeStatus"},"CommentLikeToggle":{"properties":{"value":{"type":"integer","title":"Value"}},"type":"object","required":["value"],"title":"CommentLikeToggle"},"CommentRead":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"video_id":{"type":"string","format":"uuid","title":"Video Id"},"author_id":{"type":"string","format":"uuid","title":"Author Id"},"body":{"type":"string","title":"Body"},"parent_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Parent Id"},"image_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Image Path"},"is_deleted":{"type":"boolean","title":"Is Deleted"},"is_edited":{"type":"boolean","title":"Is Edited","default":false},"edited_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Edited At"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"author":{"anyOf":[{"$ref":"#/components/schemas/UserPublicMin"},{"type":"null"}]},"likes_count":{"type":"integer","title":"Likes Count","default":0},"is_liked":{"type":"boolean","title":"Is Liked","default":false},"replies_count":{"type":"integer","title":"Replies Count","default":0},"image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Image Url"},"reaction_counts":{"additionalProperties":{"type":"integer"},"type":"object","title":"Reaction Counts"},"my_reactions":{"items":{"type":"string"},"type":"array","title":"My Reactions"},"is_reacted":{"type":"boolean","title":"Is Reacted","default":false}},"type":"object","required":["id","video_id","author_id","body","is_deleted","created_at"],"title":"CommentRead","description":"Модель/компонент `CommentRead` и связанная бизнес-логика."},"CommentUpdate":{"properties":{"body":{"type":"string","maxLength":2000,"minLength":1,"title":"Body"}},"type":"object","required":["body"],"title":"CommentUpdate","description":"Схема для обновления видео-комментария."},"ContentReportAdminDetail":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"reporter_id":{"type":"string","format":"uuid","title":"Reporter Id"},"reporter_nickname":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Reporter Nickname"},"reporter_email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Reporter Email"},"target_type":{"$ref":"#/components/schemas/ContentReportTargetTypeEnum"},"target_id":{"type":"string","format":"uuid","title":"Target Id"},"reason":{"$ref":"#/components/schemas/ContentReportReasonEnum"},"details":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Details"},"status":{"$ref":"#/components/schemas/ContentReportStatusEnum"},"admin_note":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Admin Note"},"resolved_by_user_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Resolved By User Id"},"resolved_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Resolved At"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"target":{"$ref":"#/components/schemas/ContentReportTargetSummary"}},"type":"object","required":["id","reporter_id","target_type","target_id","reason","status","created_at","target"],"title":"ContentReportAdminDetail"},"ContentReportAdminListItem":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"reporter_id":{"type":"string","format":"uuid","title":"Reporter Id"},"reporter_nickname":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Reporter Nickname"},"reporter_email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Reporter Email"},"target_type":{"$ref":"#/components/schemas/ContentReportTargetTypeEnum"},"target_id":{"type":"string","format":"uuid","title":"Target Id"},"reason":{"$ref":"#/components/schemas/ContentReportReasonEnum"},"details":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Details"},"status":{"$ref":"#/components/schemas/ContentReportStatusEnum"},"admin_note":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Admin Note"},"resolved_by_user_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Resolved By User Id"},"resolved_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Resolved At"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"target":{"$ref":"#/components/schemas/ContentReportTargetSummary"}},"type":"object","required":["id","reporter_id","target_type","target_id","reason","status","created_at","target"],"title":"ContentReportAdminListItem"},"ContentReportAdminUpdate":{"properties":{"status":{"type":"string","enum":["pending","dismissed","action_taken"],"title":"Status"},"admin_note":{"anyOf":[{"type":"string","maxLength":4000},{"type":"null"}],"title":"Admin Note"}},"type":"object","required":["status"],"title":"ContentReportAdminUpdate"},"ContentReportCreate":{"properties":{"target_type":{"$ref":"#/components/schemas/ContentReportTargetTypeEnum"},"target_id":{"type":"string","format":"uuid","title":"Target Id"},"reason":{"$ref":"#/components/schemas/ContentReportReasonEnum"},"details":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}],"title":"Details"}},"type":"object","required":["target_type","target_id","reason"],"title":"ContentReportCreate"},"ContentReportRead":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"status":{"$ref":"#/components/schemas/ContentReportStatusEnum"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","status","created_at"],"title":"ContentReportRead"},"ContentReportReasonEnum":{"type":"string","enum":["spam","harassment","copyright","adult","other"],"title":"ContentReportReasonEnum"},"ContentReportStatusEnum":{"type":"string","enum":["pending","dismissed","action_taken"],"title":"ContentReportStatusEnum"},"ContentReportTargetSummary":{"properties":{"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"subtitle":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Subtitle"},"owner_user_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Owner User Id"}},"type":"object","title":"ContentReportTargetSummary"},"ContentReportTargetTypeEnum":{"type":"string","enum":["video","post","user","track"],"title":"ContentReportTargetTypeEnum"},"ConversationCreate":{"properties":{"participant_ids":{"items":{"type":"string","format":"uuid"},"type":"array","maxItems":100,"minItems":1,"title":"Participant Ids"},"title":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Title"},"is_group":{"type":"boolean","title":"Is Group","default":false}},"type":"object","required":["participant_ids"],"title":"ConversationCreate","description":"Схема для создания нового диалога"},"ConversationDetail":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"avatar_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Avatar Path"},"is_group":{"type":"boolean","title":"Is Group"},"status":{"type":"string","title":"Status","default":"active"},"requested_by_user_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Requested By User Id"},"accepted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Accepted At"},"rejected_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Rejected At"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"participant_ids":{"items":{"type":"string","format":"uuid"},"type":"array","title":"Participant Ids"},"participant_nicknames":{"items":{"anyOf":[{"type":"string"},{"type":"null"}]},"type":"array","title":"Participant Nicknames"},"participant_usernames":{"items":{"anyOf":[{"type":"string"},{"type":"null"}]},"type":"array","title":"Participant Usernames"},"participant_avatars":{"items":{"anyOf":[{"type":"string"},{"type":"null"}]},"type":"array","title":"Participant Avatars"},"participant_roles":{"items":{"anyOf":[{"type":"string"},{"type":"null"}]},"type":"array","title":"Participant Roles"},"participant_badges":{"items":{"items":{"type":"string"},"type":"array"},"type":"array","title":"Participant Badges"},"participant_chat_roles":{"items":{"type":"string"},"type":"array","title":"Participant Chat Roles","default":[]},"participant_is_verified":{"items":{"type":"boolean"},"type":"array","title":"Participant Is Verified"},"participant_is_impersonator":{"items":{"type":"boolean"},"type":"array","title":"Participant Is Impersonator"},"my_permissions":{"anyOf":[{"$ref":"#/components/schemas/GroupChatMyPermissions"},{"type":"null"}]},"my_muted_until":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"My Muted Until"},"is_pinned":{"type":"boolean","title":"Is Pinned","default":false},"pinned_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Pinned At"},"pending_message_limit":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Pending Message Limit"},"pending_messages_used":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Pending Messages Used"},"is_blocked_by_me":{"type":"boolean","title":"Is Blocked By Me","default":false},"is_blocking_me":{"type":"boolean","title":"Is Blocking Me","default":false},"last_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Message"},"last_message_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Message At"},"unread_count":{"type":"integer","title":"Unread Count","default":0}},"type":"object","required":["id","is_group","created_at","updated_at","participant_ids","participant_nicknames","participant_usernames","participant_avatars","participant_roles","participant_is_verified"],"title":"ConversationDetail","description":"Детальная информация о диалоге с последним сообщением"},"ConversationParticipantAdd":{"properties":{"user_id":{"type":"string","format":"uuid","title":"User Id"}},"type":"object","required":["user_id"],"title":"ConversationParticipantAdd"},"ConversationParticipantMuteBody":{"properties":{"duration_seconds":{"anyOf":[{"type":"integer","maximum":31536000.0,"minimum":60.0},{"type":"null"}],"title":"Duration Seconds"},"permanent":{"type":"boolean","title":"Permanent","default":false}},"type":"object","title":"ConversationParticipantMuteBody"},"ConversationParticipantPublic":{"properties":{"user_id":{"type":"string","format":"uuid","title":"User Id"},"nickname":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nickname"},"username":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Username"},"avatar_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Avatar Path"},"role":{"type":"string","title":"Role","default":"member"},"joined_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Joined At"},"muted_until":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Muted Until"},"is_verified":{"type":"boolean","title":"Is Verified","default":false},"is_impersonator":{"type":"boolean","title":"Is Impersonator","default":false},"profile_role":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Profile Role"}},"type":"object","required":["user_id"],"title":"ConversationParticipantPublic"},"ConversationParticipantRoleUpdate":{"properties":{"role":{"type":"string","pattern":"^(admin|member)$","title":"Role"}},"type":"object","required":["role"],"title":"ConversationParticipantRoleUpdate"},"ConversationPublic":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"avatar_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Avatar Path"},"is_group":{"type":"boolean","title":"Is Group"},"status":{"type":"string","title":"Status","default":"active"},"requested_by_user_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Requested By User Id"},"accepted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Accepted At"},"rejected_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Rejected At"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","is_group","created_at","updated_at"],"title":"ConversationPublic","description":"Публичная информация о диалоге"},"ConversationTransferOwnership":{"properties":{"new_owner_user_id":{"type":"string","format":"uuid","title":"New Owner User Id"}},"type":"object","required":["new_owner_user_id"],"title":"ConversationTransferOwnership"},"ConversationUpdate":{"properties":{"title":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Title"},"avatar_path":{"anyOf":[{"type":"string","maxLength":512},{"type":"null"}],"title":"Avatar Path"}},"type":"object","title":"ConversationUpdate","description":"Схема для обновления диалога (название и аватарка)"},"ConversationWithParticipants":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"avatar_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Avatar Path"},"is_group":{"type":"boolean","title":"Is Group"},"status":{"type":"string","title":"Status","default":"active"},"requested_by_user_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Requested By User Id"},"accepted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Accepted At"},"rejected_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Rejected At"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"participant_ids":{"items":{"type":"string","format":"uuid"},"type":"array","title":"Participant Ids"},"participant_nicknames":{"items":{"anyOf":[{"type":"string"},{"type":"null"}]},"type":"array","title":"Participant Nicknames"},"participant_usernames":{"items":{"anyOf":[{"type":"string"},{"type":"null"}]},"type":"array","title":"Participant Usernames"},"participant_avatars":{"items":{"anyOf":[{"type":"string"},{"type":"null"}]},"type":"array","title":"Participant Avatars"},"participant_roles":{"items":{"anyOf":[{"type":"string"},{"type":"null"}]},"type":"array","title":"Participant Roles"},"participant_badges":{"items":{"items":{"type":"string"},"type":"array"},"type":"array","title":"Participant Badges"},"participant_chat_roles":{"items":{"type":"string"},"type":"array","title":"Participant Chat Roles","default":[]},"participant_is_verified":{"items":{"type":"boolean"},"type":"array","title":"Participant Is Verified"},"participant_is_impersonator":{"items":{"type":"boolean"},"type":"array","title":"Participant Is Impersonator"},"my_permissions":{"anyOf":[{"$ref":"#/components/schemas/GroupChatMyPermissions"},{"type":"null"}]},"my_muted_until":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"My Muted Until"},"is_pinned":{"type":"boolean","title":"Is Pinned","default":false},"pinned_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Pinned At"},"pending_message_limit":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Pending Message Limit"},"pending_messages_used":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Pending Messages Used"},"is_blocked_by_me":{"type":"boolean","title":"Is Blocked By Me","default":false},"is_blocking_me":{"type":"boolean","title":"Is Blocking Me","default":false}},"type":"object","required":["id","is_group","created_at","updated_at","participant_ids","participant_nicknames","participant_usernames","participant_avatars","participant_roles","participant_is_verified"],"title":"ConversationWithParticipants","description":"Диалог с информацией об участниках"},"CustomNotificationCreate":{"properties":{"message":{"type":"string","title":"Message"},"link":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Link"}},"type":"object","required":["message"],"title":"CustomNotificationCreate","description":"Схема для создания кастомного уведомления"},"CustomNotificationStatus":{"properties":{"can_send":{"type":"boolean","title":"Can Send"},"next_available_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Next Available At"},"subscribers_count":{"type":"integer","title":"Subscribers Count"}},"type":"object","required":["can_send","subscribers_count"],"title":"CustomNotificationStatus","description":"Статус возможности отправки кастомного уведомления"},"DeleteAccountRequest":{"properties":{"password":{"type":"string","title":"Password"}},"type":"object","required":["password"],"title":"DeleteAccountRequest","description":"Модель/компонент `DeleteAccountRequest` и связанная бизнес-логика."},"EncryptionKeyCreate":{"properties":{"public_key":{"type":"string","title":"Public Key","description":"Public key в формате PEM"},"algorithm":{"type":"string","title":"Algorithm","description":"Алгоритм шифрования","default":"RSA-OAEP"}},"type":"object","required":["public_key"],"title":"EncryptionKeyCreate","description":"Схема для создания/обновления публичного ключа"},"EncryptionKeyPublic":{"properties":{"user_id":{"type":"string","format":"uuid","title":"User Id"},"public_key":{"type":"string","title":"Public Key"},"algorithm":{"type":"string","title":"Algorithm"},"key_version":{"type":"integer","title":"Key Version"}},"type":"object","required":["user_id","public_key","algorithm","key_version"],"title":"EncryptionKeyPublic","description":"Публичная схема ключа шифрования"},"EncryptionKeysResponse":{"properties":{"keys":{"additionalProperties":{"$ref":"#/components/schemas/EncryptionKeyPublic"},"type":"object","title":"Keys","description":"Словарь user_id -> публичный ключ"}},"type":"object","title":"EncryptionKeysResponse","description":"Ответ с ключами нескольких пользователей"},"FavoriteTrackBulkItemRead":{"properties":{"track_id":{"type":"string","format":"uuid","title":"Track Id"},"in_favorites":{"type":"boolean","title":"In Favorites"}},"type":"object","required":["track_id","in_favorites"],"title":"FavoriteTrackBulkItemRead"},"FavoriteTrackStatusRead":{"properties":{"in_favorites":{"type":"boolean","title":"In Favorites"},"playlist_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Playlist Id"}},"type":"object","required":["in_favorites"],"title":"FavoriteTrackStatusRead"},"FavoriteTracksBulkStatusRead":{"properties":{"playlist_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Playlist Id"},"items":{"items":{"$ref":"#/components/schemas/FavoriteTrackBulkItemRead"},"type":"array","title":"Items"}},"type":"object","required":["items"],"title":"FavoriteTracksBulkStatusRead"},"FcmTokenRegister":{"properties":{"token":{"type":"string","maxLength":512,"minLength":32,"title":"Token"}},"type":"object","required":["token"],"title":"FcmTokenRegister","description":"Регистрация FCM-токена для push в нативном приложении."},"ForgotPasswordRequest":{"properties":{"email":{"type":"string","format":"email","title":"Email"}},"type":"object","required":["email"],"title":"ForgotPasswordRequest","description":"Модель/компонент `ForgotPasswordRequest` и связанная бизнес-логика."},"ForgotPasswordResponse":{"properties":{"message":{"type":"string","title":"Message"}},"type":"object","required":["message"],"title":"ForgotPasswordResponse","description":"Модель/компонент `ForgotPasswordResponse` и связанная бизнес-логика."},"GameAchievementRead":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"achievement_key":{"type":"string","title":"Achievement Key"},"title":{"type":"string","title":"Title"},"description":{"type":"string","title":"Description"},"unlocked":{"type":"boolean","title":"Unlocked","default":false},"unlocked_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Unlocked At"}},"type":"object","required":["id","achievement_key","title","description"],"title":"GameAchievementRead"},"GameAchievementUnlockRead":{"properties":{"achievement_key":{"type":"string","title":"Achievement Key"},"unlocked":{"type":"boolean","title":"Unlocked"},"unlocked_at":{"type":"string","format":"date-time","title":"Unlocked At"}},"type":"object","required":["achievement_key","unlocked","unlocked_at"],"title":"GameAchievementUnlockRead"},"GameAuthorRead":{"properties":{"id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Id"},"username":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Username"},"nickname":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nickname"},"avatar_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Avatar Path"}},"type":"object","title":"GameAuthorRead"},"GameBuildFinalizeRequest":{"properties":{"build_upload_id":{"type":"string","format":"uuid","title":"Build Upload Id"},"version_label":{"type":"string","maxLength":40,"minLength":1,"title":"Version Label"},"notes":{"type":"string","maxLength":4000,"title":"Notes","default":""}},"type":"object","required":["build_upload_id","version_label"],"title":"GameBuildFinalizeRequest"},"GameBuildUploadInitRead":{"properties":{"build_upload_id":{"type":"string","format":"uuid","title":"Build Upload Id"},"upload_url":{"type":"string","title":"Upload Url"},"object_key":{"type":"string","title":"Object Key"},"expires_in":{"type":"integer","title":"Expires In"},"content_type":{"type":"string","title":"Content Type"}},"type":"object","required":["build_upload_id","upload_url","object_key","expires_in","content_type"],"title":"GameBuildUploadInitRead"},"GameBuildUploadInitRequest":{"properties":{"filename":{"type":"string","maxLength":255,"minLength":1,"title":"Filename"},"content_type":{"type":"string","maxLength":120,"minLength":1,"title":"Content Type"},"size_bytes":{"type":"integer","minimum":1.0,"title":"Size Bytes"}},"type":"object","required":["filename","content_type","size_bytes"],"title":"GameBuildUploadInitRequest"},"GameCreateRequest":{"properties":{"title":{"type":"string","maxLength":160,"minLength":1,"title":"Title"},"genre":{"$ref":"#/components/schemas/PlusGameGenreEnum"},"description":{"type":"string","maxLength":4000,"minLength":1,"title":"Description"}},"type":"object","required":["title","genre","description"],"title":"GameCreateRequest"},"GameLaunchRead":{"properties":{"game_id":{"type":"string","title":"Game Id"},"slug":{"type":"string","title":"Slug"},"launches":{"type":"integer","title":"Launches"}},"type":"object","required":["game_id","slug","launches"],"title":"GameLaunchRead"},"GameLeaderboardEntryRead":{"properties":{"user_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"User Id"},"display_name":{"type":"string","title":"Display Name"},"score":{"type":"integer","title":"Score"},"submitted_at":{"type":"string","format":"date-time","title":"Submitted At"},"rank":{"type":"integer","title":"Rank"}},"type":"object","required":["display_name","score","submitted_at","rank"],"title":"GameLeaderboardEntryRead"},"GameModerationActionRequest":{"properties":{"note":{"type":"string","maxLength":4000,"title":"Note","default":""}},"type":"object","title":"GameModerationActionRequest"},"GameModerationRead":{"properties":{"submitted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Submitted At"},"reviewed_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Reviewed At"},"reviewer":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Reviewer"},"reason":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Reason"},"note":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Note"},"checks":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Checks"}},"type":"object","title":"GameModerationRead"},"GamePlayerProfileRead":{"properties":{"user_id":{"type":"string","format":"uuid","title":"User Id"},"display_name":{"type":"string","title":"Display Name"},"favorite_game_ids":{"items":{"type":"string"},"type":"array","title":"Favorite Game Ids"},"recent_game_ids":{"items":{"type":"string"},"type":"array","title":"Recent Game Ids"},"badges":{"items":{"type":"string"},"type":"array","title":"Badges"},"records":{"items":{"$ref":"#/components/schemas/GamePlayerRecordRead"},"type":"array","title":"Records"}},"type":"object","required":["user_id","display_name","favorite_game_ids","recent_game_ids","badges","records"],"title":"GamePlayerProfileRead"},"GamePlayerRecordRead":{"properties":{"game_id":{"type":"string","title":"Game Id"},"label":{"type":"string","title":"Label"},"value":{"type":"string","title":"Value"}},"type":"object","required":["game_id","label","value"],"title":"GamePlayerRecordRead"},"GameRatingRequest":{"properties":{"score":{"type":"integer","maximum":5.0,"minimum":1.0,"title":"Score"}},"type":"object","required":["score"],"title":"GameRatingRequest"},"GameRead":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"game_id":{"type":"string","title":"Game Id"},"slug":{"type":"string","title":"Slug"},"title":{"type":"string","title":"Title"},"cover_url":{"type":"string","title":"Cover Url"},"screenshots":{"items":{"type":"string"},"type":"array","title":"Screenshots"},"description":{"type":"string","title":"Description"},"genre":{"$ref":"#/components/schemas/PlusGameGenreEnum"},"tags":{"items":{"type":"string"},"type":"array","title":"Tags"},"author":{"$ref":"#/components/schemas/GameAuthorRead"},"status":{"$ref":"#/components/schemas/PlusGameStatusEnum"},"moderation":{"$ref":"#/components/schemas/GameModerationRead"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"active_version_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Active Version Id"},"public_version_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Public Version Id"},"active_version":{"anyOf":[{"$ref":"#/components/schemas/GameVersionRead"},{"type":"null"}]},"public_version":{"anyOf":[{"$ref":"#/components/schemas/GameVersionRead"},{"type":"null"}]},"version":{"type":"string","title":"Version"},"build_url":{"type":"string","title":"Build Url"},"orientation":{"$ref":"#/components/schemas/PlusGameOrientationEnum"},"supports_mobile":{"type":"boolean","title":"Supports Mobile"},"supports_gamepad":{"type":"boolean","title":"Supports Gamepad"},"play_mode":{"$ref":"#/components/schemas/PlusGamePlayModeEnum"},"rating":{"type":"number","title":"Rating"},"rating_count":{"type":"integer","title":"Rating Count"},"user_rating":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"User Rating"},"launches":{"type":"integer","title":"Launches"},"likes":{"type":"integer","title":"Likes"},"favorites":{"type":"integer","title":"Favorites"},"editor_choice":{"type":"boolean","title":"Editor Choice"},"short_game":{"type":"boolean","title":"Short Game"},"plus_author":{"type":"boolean","title":"Plus Author"},"sdk_test":{"type":"boolean","title":"Sdk Test"},"achievements":{"items":{"$ref":"#/components/schemas/GameAchievementRead"},"type":"array","title":"Achievements"},"leaderboard":{"items":{"$ref":"#/components/schemas/GameLeaderboardEntryRead"},"type":"array","title":"Leaderboard"},"versions":{"items":{"$ref":"#/components/schemas/GameVersionRead"},"type":"array","title":"Versions"}},"type":"object","required":["id","game_id","slug","title","cover_url","screenshots","description","genre","tags","author","status","moderation","created_at","updated_at","active_version_id","public_version_id","active_version","public_version","version","build_url","orientation","supports_mobile","supports_gamepad","play_mode","rating","rating_count","launches","likes","favorites","editor_choice","short_game","plus_author","sdk_test","achievements","leaderboard","versions"],"title":"GameRead"},"GameReportRead":{"properties":{"reported":{"type":"boolean","title":"Reported"}},"type":"object","required":["reported"],"title":"GameReportRead"},"GameReportRequest":{"properties":{"reason":{"type":"string","maxLength":1000,"title":"Reason","default":""}},"type":"object","title":"GameReportRequest"},"GameRuntimeStorageRead":{"properties":{"key":{"type":"string","title":"Key"},"value":{"anyOf":[{},{"type":"null"}],"title":"Value"}},"type":"object","required":["key"],"title":"GameRuntimeStorageRead"},"GameRuntimeStorageRemoveRead":{"properties":{"key":{"type":"string","title":"Key"},"removed":{"type":"boolean","title":"Removed"}},"type":"object","required":["key","removed"],"title":"GameRuntimeStorageRemoveRead"},"GameRuntimeStorageWrite":{"properties":{"value":{"title":"Value"}},"type":"object","required":["value"],"title":"GameRuntimeStorageWrite"},"GameRuntimeStorageWriteRead":{"properties":{"key":{"type":"string","title":"Key"},"saved":{"type":"boolean","title":"Saved"}},"type":"object","required":["key","saved"],"title":"GameRuntimeStorageWriteRead"},"GameVersionRead":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"label":{"type":"string","title":"Label"},"build_url":{"type":"string","title":"Build Url"},"source_object_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Object Key"},"runtime_entry_object_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Runtime Entry Object Key"},"notes":{"type":"string","title":"Notes"},"status":{"$ref":"#/components/schemas/PlusGameVersionStatusEnum"},"is_active":{"type":"boolean","title":"Is Active"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","label","build_url","notes","status","is_active","created_at"],"title":"GameVersionRead"},"GiphyImportBody":{"properties":{"giphy_id":{"type":"string","maxLength":80,"minLength":1,"title":"Giphy Id"},"target":{"type":"string","enum":["messenger","post","post_comment"],"title":"Target"},"locale":{"anyOf":[{"type":"string","maxLength":32},{"type":"null"}],"title":"Locale"}},"type":"object","required":["giphy_id","target"],"title":"GiphyImportBody"},"GiphyImportMessengerResponse":{"properties":{"target":{"type":"string","const":"messenger","title":"Target","default":"messenger"},"object_key":{"type":"string","title":"Object Key"},"image_url":{"type":"string","title":"Image Url"}},"type":"object","required":["object_key","image_url"],"title":"GiphyImportMessengerResponse"},"GiphyImportPostCommentResponse":{"properties":{"target":{"type":"string","const":"post_comment","title":"Target","default":"post_comment"},"object_key":{"type":"string","title":"Object Key"},"image_url":{"type":"string","title":"Image Url"}},"type":"object","required":["object_key","image_url"],"title":"GiphyImportPostCommentResponse"},"GiphyImportPostResponse":{"properties":{"target":{"type":"string","const":"post","title":"Target","default":"post"},"upload_id":{"type":"string","title":"Upload Id"},"image_url":{"type":"string","title":"Image Url"}},"type":"object","required":["upload_id","image_url"],"title":"GiphyImportPostResponse"},"GiphySearchResponse":{"properties":{"items":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Items"},"next":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Next"}},"type":"object","required":["items"],"title":"GiphySearchResponse"},"GoogleAuthAvailabilityResponse":{"properties":{"available":{"type":"boolean","title":"Available"}},"type":"object","required":["available"],"title":"GoogleAuthAvailabilityResponse"},"GoogleLinkRequest":{"properties":{"server_auth_code":{"type":"string","title":"Server Auth Code"}},"additionalProperties":false,"type":"object","required":["server_auth_code"],"title":"GoogleLinkRequest"},"GoogleNativeAuthRequest":{"properties":{"server_auth_code":{"type":"string","title":"Server Auth Code"}},"additionalProperties":false,"type":"object","required":["server_auth_code"],"title":"GoogleNativeAuthRequest"},"GroupChatMyPermissions":{"properties":{"invite":{"type":"boolean","title":"Invite"},"delete_others_messages":{"type":"boolean","title":"Delete Others Messages"},"pin":{"type":"boolean","title":"Pin"},"manage_meta":{"type":"boolean","title":"Manage Meta"},"mute_ban":{"type":"boolean","title":"Mute Ban"}},"type":"object","required":["invite","delete_others_messages","pin","manage_meta","mute_ban"],"title":"GroupChatMyPermissions"},"GroupParticipantControlRequest":{"properties":{"action":{"type":"string","title":"Action"}},"type":"object","required":["action"],"title":"GroupParticipantControlRequest","description":"Модель/компонент `GroupParticipantControlRequest` и связанная бизнес-логика."},"GroupParticipantPublic":{"properties":{"user_id":{"type":"string","format":"uuid","title":"User Id"},"nickname":{"type":"string","title":"Nickname"},"avatar":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Avatar"},"role":{"type":"string","title":"Role"},"is_joined":{"type":"boolean","title":"Is Joined"}},"type":"object","required":["user_id","nickname","role","is_joined"],"title":"GroupParticipantPublic","description":"Модель/компонент `GroupParticipantPublic` и связанная бизнес-логика."},"GuestSupportTicketCreate":{"properties":{"email":{"type":"string","format":"email","title":"Email"},"name":{"anyOf":[{"type":"string","maxLength":120},{"type":"null"}],"title":"Name"},"category":{"$ref":"#/components/schemas/SupportTicketCategoryEnum"},"subject":{"type":"string","maxLength":200,"minLength":3,"title":"Subject"},"priority":{"$ref":"#/components/schemas/SupportTicketPriorityEnum","default":"normal"},"content":{"type":"string","maxLength":10000,"minLength":3,"title":"Content"}},"type":"object","required":["email","category","subject","content"],"title":"GuestSupportTicketCreate"},"GuestSupportTicketCreated":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"ticket_ref":{"type":"string","title":"Ticket Ref"},"status":{"$ref":"#/components/schemas/SupportTicketStatusEnum"},"guest_email":{"type":"string","format":"email","title":"Guest Email"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","ticket_ref","status","guest_email","created_at"],"title":"GuestSupportTicketCreated"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"IceServer":{"properties":{"urls":{"anyOf":[{"type":"string"},{"items":{"type":"string"},"type":"array"}],"title":"Urls"},"username":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Username"},"credential":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Credential"}},"type":"object","required":["urls"],"title":"IceServer","description":"Модель/компонент `IceServer` и связанная бизнес-логика."},"JobArtifactPresignItem":{"properties":{"path":{"type":"string","maxLength":255,"minLength":1,"title":"Path"},"content_type":{"type":"string","maxLength":100,"title":"Content Type","default":"application/octet-stream"}},"type":"object","required":["path"],"title":"JobArtifactPresignItem","description":"Файл результата транскодинга, для которого воркеру нужен PUT URL."},"JobArtifactPresignRequest":{"properties":{"files":{"items":{"$ref":"#/components/schemas/JobArtifactPresignItem"},"type":"array","maxItems":5000,"minItems":1,"title":"Files"}},"type":"object","required":["files"],"title":"JobArtifactPresignRequest","description":"Запрос одноразовых upload URL для HLS/thumbnail артефактов."},"JobArtifactPresignResponse":{"properties":{"uploads":{"items":{"$ref":"#/components/schemas/JobArtifactUploadTarget"},"type":"array","title":"Uploads"},"hls_path":{"type":"string","title":"Hls Path"},"thumbnail_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Thumbnail Path"}},"type":"object","required":["uploads","hls_path"],"title":"JobArtifactPresignResponse","description":"Набор upload URL и итоговые S3 пути для complete."},"JobArtifactUploadTarget":{"properties":{"path":{"type":"string","title":"Path"},"object_key":{"type":"string","title":"Object Key"},"upload_url":{"type":"string","title":"Upload Url"},"content_type":{"type":"string","title":"Content Type"}},"type":"object","required":["path","object_key","upload_url","content_type"],"title":"JobArtifactUploadTarget","description":"Один upload target для внешнего воркера."},"JobComplete":{"properties":{"hls_path":{"type":"string","title":"Hls Path"},"duration_seconds":{"type":"integer","title":"Duration Seconds"},"thumbnail_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Thumbnail Path"}},"type":"object","required":["hls_path","duration_seconds"],"title":"JobComplete","description":"Модель/компонент `JobComplete` и связанная бизнес-логика."},"JobFail":{"properties":{"error":{"type":"string","title":"Error"}},"type":"object","required":["error"],"title":"JobFail","description":"Модель/компонент `JobFail` и связанная бизнес-логика."},"JobProgressRead":{"properties":{"video_id":{"type":"string","format":"uuid","title":"Video Id"},"status":{"type":"string","title":"Status"},"progress_percent":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Progress Percent"},"eta_seconds":{"anyOf":[{"type":"integer"},{"type":"null"
[...]
